Bug 1481195 - squid loses some REs when optimising ACLs.
Summary: squid loses some REs when optimising ACLs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 26
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-14 10:46 UTC by lav
Modified: 2018-02-06 15:28 UTC (History)
5 users (show)

Fixed In Version: squid-4.0.23-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 15:28:39 UTC
Type: Bug


Attachments (Terms of Use)
patch (1.27 KB, patch)
2017-08-14 10:46 UTC, lav
no flags Details | Diff

Description lav 2017-08-14 10:46:29 UTC
Created attachment 1313042 [details]
patch

Description of problem:
When url_regex acl is very large, optimization procedure loses some regular expressions.

Version-Release number of selected component (if applicable):
squid-4.0.17-1.fc25.x86_64

How reproducible:
repeatable

Steps to Reproduce:
1. create a large file with many REs
2. add acl z url_regex "large-file.rx"
3. check if all REs are included (the debug can be checked for the count of REs included).

Actual results:
some REs missed
2017/08/14 11:39:39.491 kid1| 28,2| RegexData.cc(196) compileOptimisedREs: 1129 REs are optimised into one RE.

Expected results:
all REs included
2017/08/14 13:20:42.199 kid1| 28,2| RegexData.cc(193) compileOptimisedREs: 1411 REs are optimised into one RE.

Additional info:
This bug seems to be fixed in the upstream. BTW, the RXs are optimized into 353 REs in my case, not to one, but it's only a misleading debug message.

Comment 1 Fedora End Of Life 2017-11-16 18:55:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 lav 2017-11-17 05:15:14 UTC
the same bug also exists in FC26.

Comment 3 lav 2017-11-17 06:15:03 UTC
upstream has the fix as d80dab0b93cf57463c7690a75ac0e4ecb80d9488, but they have refactored the code first in d80c844681549b513c63b723041d453481821041

Comment 4 Luboš Uhliarik ✈ 2017-11-17 10:59:04 UTC
Thank you for your report, I will look at it and fix it next week. :)

Comment 5 Fedora Update System 2017-11-21 00:18:21 UTC
squid-4.0.21-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f2e4b51f3

Comment 6 Fedora Update System 2017-11-22 11:09:00 UTC
squid-4.0.21-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f2e4b51f3

Comment 7 Fedora Update System 2018-01-23 17:10:56 UTC
squid-4.0.23-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fabf63492

Comment 8 Fedora Update System 2018-01-23 17:11:18 UTC
squid-4.0.23-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f8a78a5ef

Comment 9 Fedora Update System 2018-01-23 22:51:35 UTC
squid-4.0.23-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f8a78a5ef

Comment 10 Fedora Update System 2018-01-23 23:43:22 UTC
squid-4.0.23-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fabf63492

Comment 11 Fedora Update System 2018-02-06 15:28:39 UTC
squid-4.0.23-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.